# cloudItemsResponse

Holds response containing cloud security items with pagination information.

### Examples

```graphql
type CloudItemsResponse {
  cloudItems: [CloudItem]
  offset: Int
  topOffset: Int
  total: Int
  totalFiltered: Int
  selectedPosition: Int
}
```

### Fields

| Field                                                                                                        | Description                                        | Supported fields                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| ------------------------------------------------------------------------------------------------------------ | -------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| cloudItems [`[CloudItem]`](/api-documentation/api-reference/api--cloud-security/types/objects/cloud-item.md) | List of cloud security items found                 | <p>id <code>String</code><br>assetName <code>String</code><br>service <code>String</code><br>resourceId <code>String</code><br>cbomId <code>String</code><br>cbomProvider <code>String</code><br>resourceType <code>String</code><br>resourceName <code>String</code><br>accountId <code>String</code><br>firstSeen <code>String</code><br>cloudProvider <code>String</code><br>serviceCategory <code>String</code><br>applications <a href="/pages/O9DNUj4g2dTVv5dxqRiJ"><code>\[AppInfo]</code></a><br>isExposed <code>String</code><br>imageSource <code>String</code><br>registryType <code>String</code><br>registryName <code>String</code><br>imageScanStatus <code>String</code><br>exposurePath <a href="/pages/tMlpo6zYA5V8UBvv4IyM"><code>\[ExposurePathItem]</code></a><br>accountName <code>String</code><br>subService <code>String</code><br>region <code>String</code><br>resourceTags <code>JSON</code><br>resourceArn <code>String</code><br>images <a href="/pages/G08wEXT9Z19jJIw8jYkK"><code>\[CloudItemImage]</code></a><br>relatedIssues <a href="/pages/slO1MlaqzcbcMdp3yvLW"><code>Severities</code></a><br>issueSeverityBreakdown <a href="/pages/OyB5YkxP13m8VSv5JXX2"><code>\[CloudIssueSeverityBreakdown]</code></a><br>issuesStats <a href="/pages/8dx8dOE8GDooRAwf1L19"><code>IssuesStats</code></a><br>cluster <code>String</code><br>link <code>String</code><br>imageHash <code>String</code><br>workloads <a href="/pages/kkwdcwYXQQO1QgkdnkIf"><code>\[Workload]</code></a><br>artifactIds <code>\[String]</code><br>attachedIdentities <a href="/pages/R37iBf1VHE6t9L7HpfIv"><code>CbomAttachedIdentities</code></a><br>compliance <a href="/pages/GCja6oCEO0TuOQnF5TFD"><code>\[CloudItemCompliance]</code></a></p> |
| offset `Int`                                                                                                 | Current pagination offset                          |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| topOffset `Int`                                                                                              | Top offset for advanced pagination                 |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| total `Int`                                                                                                  | Total number of cloud items available              |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| totalFiltered `Int`                                                                                          | Total number of cloud items after applying filters |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| selectedPosition `Int`                                                                                       | Position of the selected item in the results       |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |

### References

#### Queries using this object:

* [\<?> getCloudItems](/api-documentation/api-reference/api--cloud-security/queries/get-cloud-items.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--cloud-security/types/objects/cloud-items-response.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
